IF EXISTS(
    SELECT * FROM sys.columns 
    WHERE Name = N'StatusLastChanged' AND Object_ID = Object_ID(N'BA_Site') and system_type_id <> 43)
BEGIN
	EXEC sp_rename '[dbo].BA_Site.StatusLastChanged', 'StatusLastChangedOld', 'COLUMN';
	ALTER TABLE [dbo].BA_Site ADD StatusLastChanged DATETIMEOFFSET (7) NULL;
END;